Summary:	A GNU collection of diff utilities
Name:		diffutils
Version:	3.2
Release:	%mkrel 5
License:	GPLv2+
Group:		Development/Other
URL:		http://www.gnu.org/software/diffutils/
Source0:	ftp://ftp.gnu.org/pub/gnu/diffutils/%{name}-%{version}.tar.xz
Source1:	%{SOURCE0}.sig
Source2:	%{name}-help2man.bz2
# (cjw) drop gnulib warning about gets which is not available in glibc 2.16
Patch1:		diffutils-3.2-glibc-2.16.patch
Patch2:		diffutils-3.2-automake1.13.patch
BuildRequires:	libsigsegv-devel
BuildRequires:	gettext-devel
Requires(post,preun): info-install

%description
Diffutils includes four utilities:  diff, cmp, diff3 and sdiff.

  * Diff compares two files and shows the differences, line by line.
  * The cmp command shows the offset and line numbers where two files differ,
    or cmp can show the characters that differ between the two files.
  * The diff3 command shows the differences between three files. Diff3 can be
    used when two people have made independent changes to a common original;
    diff3 can produce a merged file that contains both persons' changes and
    warnings about conflicts.
  * The sdiff command can be used to list diff of two files side by side or
    merge two files interactively.

Install diffutils if you need to compare text files.

%prep
%setup -q
%patch1 -p1 -b .glibc2_16
%patch2 -p1 -b .automake1.13

bzcat %{SOURCE2} > help2man
chmod +x help2man

%build
# default editor for sdiff interactive mode, vi is likely better than ed
perl -pi -e 's/^(#define\s+DEFAULT_EDITOR_PROGRAM\s+)"ed"/$1"vi"/' configure*

# for finding help2man
export PATH=$PATH:`pwd`
autoreconf -fi
%configure2_5x \
	--disable-rpath \
	--without-included-regex \
	--with-packager="%{distribution}" \
	--with-packager-bug-reports="https://bugs.mageia.org"


%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%post
%_install_info %name.info

%preun
%_remove_install_info %name.info

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*
%{_infodir}/%name.info*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.2-5.mga3
+ Revision: 348778
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 3.2-4.mga3
+ Revision: 336687
- add patch to fix build with automake 1.13

* Tue Dec 11 2012 cjw <cjw> 3.2-3.mga3
+ Revision: 329734
- add BuildRequires: gettext-devel
- patch1: fix build with glibc 2.16

  + pterjan <pterjan>
    - Fix autoreconf call

* Sun Nov 06 2011 shadow95 <shadow95> 3.2-2.mga2
+ Revision: 164562
- replace http://qa.mandriva.com by https://bugs.mageia.org in man page, fixes bug #1380

* Fri Sep 02 2011 kharec <kharec> 3.2-1.mga2
+ Revision: 138043
- new version 3.2

  + fwang <fwang>
    - update file list
    - new version 3.1

* Sat Jan 08 2011 blino <blino> 3.0-1.mga1
+ Revision: 553
- imported package diffutils

